import { http } from "/@/utils/http";
import { loadEnv } from "@build/index";
const { VITE_PROXY_DOMAIN_REAL, VITE_PROXY_USER_REAL } = loadEnv();
const userAPi = VITE_PROXY_DOMAIN_REAL;
const yewuApi = VITE_PROXY_USER_REAL + "/admin/";

export const httpList = (data: object): any => {
  return http.request("post", `${yewuApi}warelist`, { data });
};

export const httpAdd = (data: object): any => {
  return http.request("post", `${yewuApi}wareadd`, { data });
};

export const httpDetail = (data: object): any => {
  return http.request("post", `${yewuApi}wareinfo`, { data });
};

export const httpUpdate = (data: object): any => {
  return http.request("post", `${yewuApi}waresave`, { data });
};

//发票回票审核状态
export const httpStatus = (data: object): any => {
  return http.request("post", `${yewuApi}warestatus`, { data });
};
